This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 505970 - gnome-session keeps spawning /usr/libexec/vino-server over and over and over again
gnome-session keeps spawning /usr/libexec/vino-server over and over and over ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:16 EDT by Jonathan Kamens
Modified: 2010-12-05 01:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:51:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-06-14 21:16:01 EDT
/usr/libexec/vino-server was crashing reliably on startup (see the other bug I just failed about that).  Each time it crashed, I'd get a bug buddy dialog asking if I wanted to save the report somewhere, and then I'd either save the report or cancel, and then gnome-session would try again to launch vino-server.  This continued for quite a few rounds.  I didn't keep doing it to find out whether gnome-session would ever give up on trying to successfully launch vino-server, but I can't help but suspect that it would have gone on forever.  Perhaps gnome-session should have detected that vino-server was failing and/or just detected that it was launching it repeatedly and eventually stopped trying?
Comment 1 Matthias Clasen 2009-06-18 01:10:26 EDT
This was caused by a gcc bug, causing miscompliation of vino-server. 
Fixed in vino-2.26.1-4.fc12
Comment 2 Jonathan Kamens 2009-06-18 10:05:16 EDT
The vino bug is not what I'm reporting here.  The problem is that when vino was crashing, gnome-session kept on spawning it over and over again.  That shouldn't happen.  There needs to be a failsafe so that when something that gnome-session is trying to spawn keeps crashing, it eventually stops trying to spawn it.
Comment 3 Bug Zapper 2009-11-16 05:12:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:06:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:51:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.